/* ----------------------------------------------------------------- */

/* 'ZBehaviourClass.h'									    */

/* Behaviour-Header-File									    */

/* 													    */

/* 	last modified 12/04/2003								    */

/* 	see ZBehaviourClass.cc for implementations				    */

/* 													    */

/* 													    */

/* 													    */

/* 	(C) Jochen Zimmermann								    */

/* ----------------------------------------------------------------- */



#ifndef ZBE

#define ZBE



#include "ZHeaders.h"

/*

//needs all headers, included via ZHeaders.h

*/



class Behaviour

{

    public:	

	

	Behaviour();	

	/*standart constructor for initialisations*/

	

	void Init();

	/*initalises all used classes, must be called before using other classes */ 

	

	void Release();

	/*releasing all used classes, must be called before exiting main*/

	

	void Run();

	/*runs the class*/ 

	

    protected:	

	

	void Stand();

	/*balancing on moving surface*/

	

	void Set();

	/*setting servo angles (controller offline)*/

		

	void Squats();

	/*performing squats*/

	

	void Swing();

	/*swinging from left to right using desired value of controller*/

			

};



#endif

